<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PeerDataOperationRequestMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class HistorySyncOnDemandRequest extends \Google\Protobuf\Internal\Message
{
    


    protected $chatJid = null;
    


    protected $oldestMsgId = null;
    


    protected $oldestMsgFromMe = null;
    


    protected $onDemandMsgCount = null;
    


    protected $oldestMsgTimestampMs = null;
    


    protected $accountLid = null;

    













    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getChatJid()
    {
        return isset($this->chatJid) ? $this->chatJid : '';
    }

    public function hasChatJid()
    {
        return isset($this->chatJid);
    }

    public function clearChatJid()
    {
        unset($this->chatJid);
    }

    




    public function setChatJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->chatJid = $var;

        return $this;
    }

    



    public function getOldestMsgId()
    {
        return isset($this->oldestMsgId) ? $this->oldestMsgId : '';
    }

    public function hasOldestMsgId()
    {
        return isset($this->oldestMsgId);
    }

    public function clearOldestMsgId()
    {
        unset($this->oldestMsgId);
    }

    




    public function setOldestMsgId($var)
    {
        GPBUtil::checkString($var, True);
        $this->oldestMsgId = $var;

        return $this;
    }

    



    public function getOldestMsgFromMe()
    {
        return isset($this->oldestMsgFromMe) ? $this->oldestMsgFromMe : false;
    }

    public function hasOldestMsgFromMe()
    {
        return isset($this->oldestMsgFromMe);
    }

    public function clearOldestMsgFromMe()
    {
        unset($this->oldestMsgFromMe);
    }

    




    public function setOldestMsgFromMe($var)
    {
        GPBUtil::checkBool($var);
        $this->oldestMsgFromMe = $var;

        return $this;
    }

    



    public function getOnDemandMsgCount()
    {
        return isset($this->onDemandMsgCount) ? $this->onDemandMsgCount : 0;
    }

    public function hasOnDemandMsgCount()
    {
        return isset($this->onDemandMsgCount);
    }

    public function clearOnDemandMsgCount()
    {
        unset($this->onDemandMsgCount);
    }

    




    public function setOnDemandMsgCount($var)
    {
        GPBUtil::checkInt32($var);
        $this->onDemandMsgCount = $var;

        return $this;
    }

    



    public function getOldestMsgTimestampMs()
    {
        return isset($this->oldestMsgTimestampMs) ? $this->oldestMsgTimestampMs : 0;
    }

    public function hasOldestMsgTimestampMs()
    {
        return isset($this->oldestMsgTimestampMs);
    }

    public function clearOldestMsgTimestampMs()
    {
        unset($this->oldestMsgTimestampMs);
    }

    




    public function setOldestMsgTimestampMs($var)
    {
        GPBUtil::checkInt64($var);
        $this->oldestMsgTimestampMs = $var;

        return $this;
    }

    



    public function getAccountLid()
    {
        return isset($this->accountLid) ? $this->accountLid : '';
    }

    public function hasAccountLid()
    {
        return isset($this->accountLid);
    }

    public function clearAccountLid()
    {
        unset($this->accountLid);
    }

    




    public function setAccountLid($var)
    {
        GPBUtil::checkString($var, True);
        $this->accountLid = $var;

        return $this;
    }

}

